Bug 1460602 - Error info for PIIX3 USB controller at index is 0 with incorrect PCI address should be clearer
Error info for PIIX3 USB controller at index is 0 with incorrect PCI address ...
Status: POST
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.5
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Ján Tomko
jiyan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 03:24 EDT by jiyan
Modified: 2017-10-23 09:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jiyan 2017-06-12 03:24:57 EDT
Description of problem:
The restriction  that "PIIX3 USB controller must have PCI address 0:0:1.2" is only valid for controller with index 0, so the error info: "error: internal error: PIIX3 USB controller must have PCI address 0:0:1.2" ,shoule be more clearer when editing the dumpxml with address is not 0:0:1:2 while index of PIIX3 USB controller is 0.

Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.9.0-9.el7.x86_64
libvirt-3.2.0-9.el7.x86_64
kernel-3.10.0-679.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Edit the vm's dumpxml with the value of 'index' is 0, and the address is 1:1:1:2,just as follows; then check the dumpxml and start the vm  
# virsh edit generic
...
    <controller type='usb' index='0' model='piix3-uhci'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x2'/>
    </controller>
...
Domain generic XML configuration edited.

# virsh dumpxml generic |grep usb -A 3
    <controller type='usb' index='0' model='piix3-uhci'>
      <alias name='usb'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x2'/>
    </controller>

# virsh start generic
Domain generic started


2.Edit the vm's dumpxml with the value of 'index' is 0,while the address is not 1:1:1:2,just as follows; then check the dumpxml and start the vm 
# virsh edit generic
...
    <controller type='usb' index='0' model='piix3-uhci'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x2'/>
    </controller>
...
error: internal error: PIIX3 USB controller must have PCI address 0:0:1.2
Failed. Try again? [y,n,i,f,?]: 

3.Edit the vm's dumpxml with two usb controllers, the value of 'index' in piix3-uhci controller is 1 and the address is not 1:1:1:2,just as follows; then check the dumpxml and start the vm 
# virsh edit generic
...
    <controller type='usb' index='0' model='nec-xhci'>
      <alias name='usb'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x2'/>
    </controller>
    <controller type='usb' index='1' model='piix3-uhci'>
      <alias name='usb1'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x2'/>
    </controller>
...
Domain generic XML configuration edited.

# virsh dumpxml generic |grep usb -A 3
    <controller type='usb' index='0' model='nec-xhci'>
      <alias name='usb'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x2'/>
    </controller>
    <controller type='usb' index='1' model='piix3-uhci'>
      <alias name='usb1'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x2'/>
    </controller>

# virsh start generic
Domain generic started


Actual results:
As step 2.

Expected results:
The error info in step 2 should like this: "error: internal error: PIIX3 USB controller must have PCI address 0:0:1.2 for controller with index 0"

Additional info:
Comment 2 Ján Tomko 2017-09-26 07:06:16 EDT
Upstream patch:
https://www.redhat.com/archives/libvir-list/2017-September/msg00916.html
Comment 3 Ján Tomko 2017-10-11 03:42:46 EDT
Pushed upstream as:
commit f9267297cf43a4b2e686e9ab7b23ac8dfe383907
Author:     Ján Tomko <jtomko@redhat.com>
CommitDate: 2017-10-11 09:39:23 +0200

    qemu: clarify error message for index 0 PIIX3 USB controller
    
    The address is restricted to 0:0:1.2 only for the piix3-uhci controller
    at index 0.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460602

git describe: v3.8.0-70-gf9267297c

Note You need to log in before you can comment on or make changes to this bug.